# Brings Despatch Items

## GET /Purchase/{UUID}/Lines

> İrsaliye kalemlerini getirir.

```json
{"openapi":"3.0.1","info":{"title":"E-Despatch API","version":"v1"},"servers":[{"url":"/edespatch"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"DespatchLineDto":{"type":"object","properties":{"DeliveredUnitType":{"type":"string","nullable":true},"DeliveredUnitName":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"SellerCode":{"type":"string","nullable":true},"BuyerCode":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"DeliveredQuantity":{"type":"number","format":"double"},"QuantityPrice":{"type":"number","format":"double"},"LineTotal":{"type":"number","format":"double"},"AdditionalItemIdentification":{"type":"string","nullable":true},"OutstandingQuantity":{"type":"number","format":"double"},"OutstandingUnitType":{"type":"string","nullable":true},"OutstandingUnitName":{"type":"string","nullable":true},"OutstandingReason":{"type":"string","nullable":true},"ManufacturerCode":{"type":"string","nullable":true},"BrandName":{"type":"string","nullable":true},"ModelName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/Purchase/{UUID}/Lines":{"get":{"tags":["Purchase"],"summary":"İrsaliye kalemlerini getirir.","parameters":[{"name":"UUID","in":"path","description":"","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"İrsaliye kalemlerini getirir.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DespatchLineDto"}}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var client = new RestClient("https://apitest.nilvera.com/edespatch/Purchase/0050568C-C008-1EDD-A0A4-192134665EE4/Lines");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/edespatch/Purchase/0050568C-C008-1EDD-A0A4-192134665EE4/Lines',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://apitest.nilvera.com/edespatch/Purchase/0050568C-C008-1EDD-A0A4-192134665EE4/Lines',
  headers: { 
    'Authorization': 'Bearer <API KEY>'
  }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}
